from PyQt4 import QtCore, QtGui

from core.auimd_widget import *

# An auimd widget must inherit at least from AuimdWidget and a subclass of QWidget.
# In our example we use a QLabel to display a short text.
class HelloWorld(QtGui.QLabel, AuimdWidget):
    
  # __init__ receive as parameter its parent (the desktop) and optional arguments
  def __init__(self, parent, *args):

    # init our base classes
    QtGui.QLabel.__init__(self, parent)
    AuimdWidget.__init__(self, parent)

    # center the text and display our message
    self.setAlignment(QtCore.Qt.AlignHCenter | QtCore.Qt.AlignVCenter)
    self.setText("Hello World !")
