from PyQt4 import QtCore, QtGui

from keyboard import Keyboard

class Dialer(QtGui.QWidget):
  def __init__(self, parent):
    QtGui.QWidget.__init__(self, parent)

    l=QtGui.QVBoxLayout(self)
    l.setContentsMargins(0, 0, 0, 0)
    self.keyboard=Keyboard(self, Keyboard.MODE_DIALER)
    l.addWidget(self.keyboard)

    self.connect(self.keyboard, QtCore.SIGNAL("validated"), self.onValidated)

  def onValidated(self, value):
    self.emit(QtCore.SIGNAL("callNumber"), str(value))
