from PyQt4 import QtCore, QtGui

from keyboard import Keyboard

class PinDialog(QtGui.QDialog):
  def __init__(self):
    QtGui.QDialog.__init__(self)
    l=QtGui.QVBoxLayout(self)
    self.keyboard=Keyboard(self, Keyboard.MODE_PIN_CODE)
    msg=QtGui.QLabel("Please enter your PIN code", self)
    msg.setAlignment(QtCore.Qt.AlignHCenter)
    l.addWidget(msg)
    l.addWidget(self.keyboard)
    l.setContentsMargins(0, 0, 0, 0)

    self.pin_code=None
    self.connect(self.keyboard, QtCore.SIGNAL("validated"), self.onValidated)

  def onValidated(self, value):
    self.pin_code=value
    self.accept()
