from PyQt4 import QtCore, QtGui

class Startup(QtGui.QWidget):
  def __init__(self, parent):
    QtGui.QWidget.__init__(self, parent)
    l=QtGui.QVBoxLayout(self)
    self.list=QtGui.QListWidget(self)
    msg=QtGui.QLabel("Starting the phone, please wait", self)
    msg.setAlignment(QtCore.Qt.AlignHCenter)
    l.addWidget(msg)
    l.addWidget(self.list)
    l.setContentsMargins(0, 0, 0, 0)

    self.last_line=None

  def displayInitMessage(self, msg):
    self.last_line=QtGui.QListWidgetItem(msg, self.list)

  def initStepSuccessful(self, msg):
    self.last_line.setText(self.last_line.text()+" - "+msg)

  def initStepFailed(self, msg):
    self.last_line.setText(self.last_line.text()+" - "+msg)
