from PyQt4 import QtCore, QtGui

from core.auimd_widget import *

class XWindow(QtGui.QX11EmbedContainer, AuimdWidget):
  @staticmethod
  def getCategory():
    return "Hidden"

  def __init__(self, parent, *args):
    QtGui.QX11EmbedContainer.__init__(self, parent)
    AuimdWidget.__init__(self, parent)

    self.right_button.setText("Close")
    self.connect(self, QtCore.SIGNAL("clientClosed()"), self.onClientClosed)
    self.connect(self, QtCore.SIGNAL("clientIsEmbedded()"), self.onClientIsEmbedded)
    self.embedClient(int(args[0]))
    self.setWidgetTitle(args[1])

  def rightButtonAction(self):
    self.desktop.closeWidget(self)

  def onClientClosed(self):
    self.desktop.closeWidget(self)

  def onClientIsEmbedded(self):
    msh=self.minimumSizeHint()
    if msh.width()!=-1 and msh.height()!=-1:
      self.desktop.layoutComponents()
